var url = require('url');
var path = require('path');
var handlers = require('../handlers/handlers').handlers;

function route(request, response) {
	var pathname = url.parse(request.url).pathname;
	if (pathname.slice(-1) === '/') {
		response.write('This request URL ' + pathname + ' was not found on this server.');
		response.end();
		return;
    }
	pathname = path.normalize(pathname.replace(/…/g, ''));
	
	if (typeof handlers[pathname] === 'function') {
	    /*
	     * 其实这里应该是要有路由模板的匹配判断的，并不能直接根据pathname来判断，
	     * 毕竟URL上参数是可变的，大家可以自己试一下如何实现
	     * */
		handlers[pathname](request, response, pathname);
	} else {
	    //调用assets-handler
		handlers['assets'](request, response, pathname);
	}
}

exports.route = route;